package com.ztmap.project.zhny.strategy.domain;

import com.ztmap.project.zhny.strategycondition.domain.TStrategyCondition;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ztmap.framework.aspectj.lang.annotation.Excel;
import com.ztmap.framework.web.domain.BaseEntity;

import java.util.List;

/**
 * 策略管理对象 t_strategy
 * 
 * @author ztmap
 * @date 2023-10-11
 */
public class TStrategy
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    private List<TStrategyCondition> strategyConditionList;

    public List<TStrategyCondition> getStrategyConditionList() {
        return strategyConditionList;
    }

    public void setStrategyConditionList(List<TStrategyCondition> strategyConditionList) {
        this.strategyConditionList = strategyConditionList;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .toString();
    }
}
